mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
unified-delay: true
tcp-concurrent: true
external-controller: 127.0.0.1:9090

dns:
  enable: true
  ipv6: false
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  proxy-server-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  direct-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  use-hosts: true
  nameserver-policy:
    +.google.com: https://dns.cloudflare.com/dns-query#PROXY
    +.googleapis.com: https://dns.cloudflare.com/dns-query#PROXY
    +.googleapis.cn: https://dns.cloudflare.com/dns-query#PROXY
    +.googlevideo.com: https://dns.cloudflare.com/dns-query#PROXY
    +.gstatic.com: https://dns.cloudflare.com/dns-query#PROXY
    +.youtube.com: https://dns.cloudflare.com/dns-query#PROXY
    +.youtu.be: https://dns.cloudflare.com/dns-query#PROXY
    +.facebook.com: https://dns.cloudflare.com/dns-query#PROXY
    +.twitter.com: https://dns.cloudflare.com/dns-query#PROXY
    +.x.com: https://dns.cloudflare.com/dns-query#PROXY
    +.github.com: https://dns.cloudflare.com/dns-query#PROXY
    +.githubusercontent.com: https://dns.cloudflare.com/dns-query#PROXY
    +.openai.com: https://dns.cloudflare.com/dns-query#PROXY
    +.chatgpt.com: https://dns.cloudflare.com/dns-query#PROXY
    +.anthropic.com: https://dns.cloudflare.com/dns-query#PROXY
  nameserver:
    - https://doh.pub/dns-query#DIRECT
    - https://dns.alidns.com/dns-query#DIRECT
  fallback:
    - https://dns.cloudflare.com/dns-query#PROXY
    - https://dns.google/dns-query#PROXY
  fallback-filter:
    geoip: true
    geoip-code: CN
    domain:
      - +.google.com
      - +.facebook.com
      - +.youtube.com
      - +.githubusercontent.com
      - +.googlevideo.com
      - +.googleapis.cn

proxies:
  - name: AnyTLS-Home
    type: anytls
    server: anytls.paff-67.top
    port: 8443
    password: UJawG9c4TArndnjTGaUi20oO6mzmFpJWZ1u7QocxYaY=
    client-fingerprint: chrome
    udp: true
    sni: anytls.paff-67.top
    alpn:
      - h2
      - http/1.1
    skip-cert-verify: false
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 2

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - AUTO
      - AnyTLS-Home
      - DIRECT
  - name: AUTO
    type: url-test
    proxies:
      - AnyTLS-Home
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50

rules:
  - DOMAIN,fd.yooo2.com,DIRECT
  - DOMAIN,safebrowsing.urlsec.qq.com,DIRECT

  - DOMAIN-SUFFIX,services.googleapis.cn,PROXY
  - DOMAIN-SUFFIX,xn--ngstr-lra8j.com,PROXY
  - DOMAIN-SUFFIX,yun.youthidc.com,PROXY
  - DOMAIN-SUFFIX,zheshe.cc,PROXY
  - DOMAIN-SUFFIX,larkidc.com,PROXY
  - DOMAIN-SUFFIX,halocloudnet.com,PROXY
  - DOMAIN-SUFFIX,pototapay.com,PROXY
  - DOMAIN-SUFFIX,lhguomy.xyz,PROXY
  - DOMAIN-SUFFIX,tich1.top,PROXY

  - DOMAIN-KEYWORD,admarvel,REJECT
  - DOMAIN-KEYWORD,admaster,REJECT
  - DOMAIN-KEYWORD,adsage,REJECT
  - DOMAIN-KEYWORD,adsmogo,REJECT
  - DOMAIN-KEYWORD,adsrvmedia,REJECT
  - DOMAIN-KEYWORD,adwords,REJECT
  - DOMAIN-KEYWORD,adservice,REJECT
  - DOMAIN-KEYWORD,domob,REJECT
  - DOMAIN-KEYWORD,duomeng,REJECT
  - DOMAIN-KEYWORD,dwtrack,REJECT
  - DOMAIN-KEYWORD,guanggao,REJECT
  - DOMAIN-KEYWORD,lianmeng,REJECT
  - DOMAIN-KEYWORD,omgmta,REJECT
  - DOMAIN-KEYWORD,openx,REJECT
  - DOMAIN-KEYWORD,partnerad,REJECT
  - DOMAIN-KEYWORD,supersonicads,REJECT
  - DOMAIN-KEYWORD,umeng,REJECT
  - DOMAIN-KEYWORD,zjtoolbar,REJECT
  - DOMAIN-SUFFIX,appsflyer.com,REJECT
  - DOMAIN-SUFFIX,doubleclick.net,REJECT
  - DOMAIN-SUFFIX,mmstat.com,REJECT

  - DOMAIN-SUFFIX,local,DIRECT
  - DOMAIN-SUFFIX,localhost,DIRECT
  - IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,17.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,100.64.0.0/10,DIRECT,no-resolve
  - IP-CIDR,127.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
  - IP-CIDR,198.18.0.0/16,DIRECT,no-resolve
  - IP-CIDR,224.0.0.0/4,DIRECT,no-resolve
  - IP-CIDR6,::1/128,DIRECT,no-resolve
  - IP-CIDR6,fc00::/7,DIRECT,no-resolve
  - IP-CIDR6,fe80::/10,DIRECT,no-resolve

  - DOMAIN-SUFFIX,apps.apple.com,PROXY
  - DOMAIN-SUFFIX,itunes.apple.com,PROXY
  - DOMAIN-SUFFIX,blobstore.apple.com,PROXY
  - DOMAIN-SUFFIX,apple.com,DIRECT
  - DOMAIN-SUFFIX,apple-cloudkit.com,DIRECT
  - DOMAIN-SUFFIX,icloud.com,DIRECT
  - DOMAIN-SUFFIX,icloud-content.com,DIRECT
  - DOMAIN-SUFFIX,mzstatic.com,DIRECT
  - DOMAIN-SUFFIX,aaplimg.com,DIRECT
  - DOMAIN-SUFFIX,cdn-apple.com,DIRECT
  - DOMAIN-SUFFIX,akadns.net,DIRECT

  - DOMAIN-SUFFIX,microsoft.com,DIRECT
  - DOMAIN-SUFFIX,microsoftonline.com,DIRECT
  - DOMAIN-SUFFIX,office.com,DIRECT
  - DOMAIN-SUFFIX,office365.com,DIRECT
  - DOMAIN-SUFFIX,windows.com,DIRECT
  - DOMAIN-SUFFIX,windowsupdate.com,DIRECT
  - DOMAIN-SUFFIX,live.com,DIRECT
  - DOMAIN-SUFFIX,msn.com,DIRECT
  - DOMAIN-SUFFIX,speedtest.net,DIRECT
  - DOMAIN-KEYWORD,officecdn,DIRECT

  - DOMAIN-SUFFIX,cn,DIRECT
  - DOMAIN-KEYWORD,-cn,DIRECT

  - DOMAIN-KEYWORD,google,PROXY
  - DOMAIN-KEYWORD,gmail,PROXY
  - DOMAIN-KEYWORD,youtube,PROXY
  - DOMAIN-KEYWORD,facebook,PROXY
  - DOMAIN-KEYWORD,twitter,PROXY
  - DOMAIN-KEYWORD,instagram,PROXY
  - DOMAIN-KEYWORD,whatsapp,PROXY
  - DOMAIN-KEYWORD,telegram,PROXY
  - DOMAIN-KEYWORD,github,PROXY
  - DOMAIN-KEYWORD,blogspot,PROXY
  - DOMAIN-KEYWORD,dropbox,PROXY
  - DOMAIN-KEYWORD,wikipedia,PROXY
  - DOMAIN-KEYWORD,pinterest,PROXY
  - DOMAIN-KEYWORD,discord,PROXY
  - DOMAIN-KEYWORD,openai,PROXY
  - DOMAIN-KEYWORD,anthropic,PROXY
  - DOMAIN-KEYWORD,netflix,PROXY
  - DOMAIN-KEYWORD,spotify,PROXY
  - DOMAIN-KEYWORD,amazon,PROXY

  - DOMAIN-SUFFIX,t.co,PROXY
  - DOMAIN-SUFFIX,x.com,PROXY
  - DOMAIN-SUFFIX,twimg.com,PROXY
  - DOMAIN-SUFFIX,fb.me,PROXY
  - DOMAIN-SUFFIX,fbcdn.net,PROXY
  - DOMAIN-SUFFIX,youtu.be,PROXY
  - DOMAIN-SUFFIX,ytimg.com,PROXY
  - DOMAIN-SUFFIX,gstatic.com,PROXY
  - DOMAIN-SUFFIX,ggpht.com,PROXY
  - DOMAIN-SUFFIX,googlevideo.com,PROXY
  - DOMAIN-SUFFIX,v2ex.com,PROXY
  - DOMAIN-SUFFIX,medium.com,PROXY
  - DOMAIN-SUFFIX,reddit.com,PROXY
  - DOMAIN-SUFFIX,redd.it,PROXY
  - DOMAIN-SUFFIX,imgur.com,PROXY
  - DOMAIN-SUFFIX,pixiv.net,PROXY
  - DOMAIN-SUFFIX,nytimes.com,PROXY
  - DOMAIN-SUFFIX,nyt.com,PROXY
  - DOMAIN-SUFFIX,bbc.com,PROXY
  - DOMAIN-SUFFIX,bbc.co.uk,PROXY
  - DOMAIN-SUFFIX,steamcommunity.com,PROXY
  - DOMAIN-SUFFIX,twitch.tv,PROXY
  - DOMAIN-SUFFIX,vimeo.com,PROXY
  - DOMAIN-SUFFIX,tumblr.com,PROXY
  - DOMAIN-SUFFIX,linkedin.com,PROXY
  - DOMAIN-SUFFIX,licdn.com,PROXY
  - DOMAIN-SUFFIX,mega.nz,PROXY
  - DOMAIN-SUFFIX,archive.org,PROXY
  - DOMAIN-SUFFIX,wikimedia.org,PROXY
  - DOMAIN-SUFFIX,soundcloud.com,PROXY

  - IP-CIDR,91.108.4.0/22,PROXY,no-resolve
  - IP-CIDR,91.108.8.0/21,PROXY,no-resolve
  - IP-CIDR,91.108.12.0/22,PROXY,no-resolve
  - IP-CIDR,91.108.16.0/22,PROXY,no-resolve
  - IP-CIDR,91.108.56.0/22,PROXY,no-resolve
  - IP-CIDR,149.154.160.0/20,PROXY,no-resolve
  - IP-CIDR6,2001:67c:4e8::/48,PROXY,no-resolve
  - IP-CIDR6,2001:b28:f23d::/48,PROXY,no-resolve
  - IP-CIDR6,2001:b28:f23f::/48,PROXY,no-resolve

  - GEOIP,CN,DIRECT
  - MATCH,PROXY
